Table of Contents

Class: _Jellier | Twisted-0.17.4/twisted/spread/jelly.py
--- | ---

(Internal) This class manages state for a call to jelly()

Methods |
--- | ---
__init__ _cook jelly prepare preserve unpersistable
| __init__

    __init__ (
            self,
            taster,
            persistentStore,
            invoker,
            )

Initialize.

| _cook

    _cook ( self,  object )

(internal) backreference an object

| jelly

    jelly ( self,  obj )

Exceptions |
--- | ---
InsecureJelly("Type not allowed for object: %s %s" %( objType, obj ) ) NotImplementedError( "Don't know the type: %s" % objType )

| prepare

    prepare ( self,  object )

(internal) create a list for persisting an object to. this will allow backreferences to be made internal to the object. (circular references).

| preserve

    preserve (
            self,
            object,
            sexp,
            )

(internal) mark an object's persistent list for later referral

| unpersistable

    unpersistable (
            self,
            reason,
            sxp=None,
            )

(internal) Returns an sexp: (unpersistable "reason"). Utility method for making note that a particular object could not be serialized.

Table of Contents

This document was automatically generated on Sat Apr 20 01:31:32 2002 by HappyDoc version 2.0